<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>PropertyTable (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PropertyTable (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PropertyTable.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/property/PropertyConstants.html"
               title="interface in org.apache.poi.poifs.property"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/poifs/property/RootProperty.html"
               title="class in org.apache.poi.poifs.property"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/property/PropertyTable.html"
               target="_top">Frames</a></li>
        <li><a href="PropertyTable.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.poifs.property</div>
    <h2 title="Class PropertyTable" class="title">Class PropertyTable</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.poifs.property.PropertyTable</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/poifs/filesystem/BATManaged.html"
                           title="interface in org.apache.poi.poifs.filesystem">BATManaged</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">PropertyTable</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/poifs/filesystem/BATManaged.html"
              title="interface in org.apache.poi.poifs.filesystem">BATManaged</a></pre>
                <div class="block">This class embodies the Property Table for a <a
                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                        title="class in org.apache.poi.poifs.filesystem"><code>POIFSFileSystem</code></a>;
                    this is basically the directory for all of the documents in the
                    filesystem and looks up entries in the filesystem to their
                    chain of blocks.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/property/PropertyTable.html#PropertyTable-org.apache.poi.poifs.storage.HeaderBlock-">PropertyTable</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html"
                                        title="class in org.apache.poi.poifs.storage">HeaderBlock</a>&nbsp;headerBlock)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/property/PropertyTable.html#PropertyTable-org.apache.poi.poifs.storage.HeaderBlock-org.apache.poi.poifs.filesystem.POIFSFileSystem-">PropertyTable</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html"
                                        title="class in org.apache.poi.poifs.storage">HeaderBlock</a>&nbsp;headerBlock,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                       title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;filesystem)</code>
                                    <div class="block">reading constructor (used when we've read in a file and we want
                                        to extract the property table from it).
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/property/PropertyTable.html#addProperty-org.apache.poi.poifs.property.Property-">addProperty</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/property/Property.html"
                                        title="class in org.apache.poi.poifs.property">Property</a>&nbsp;property)</code>
                                    <div class="block">Add a property to the list of properties we manage</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/property/PropertyTable.html#countBlocks--">countBlocks</a></span>()</code>
                                    <div class="block">Return the number of BigBlock's this instance uses</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/property/RootProperty.html"
                                        title="class in org.apache.poi.poifs.property">RootProperty</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/property/PropertyTable.html#getRoot--">getRoot</a></span>()</code>
                                    <div class="block">Get the root property</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/property/PropertyTable.html#getStartBlock--">getStartBlock</a></span>()</code>
                                    <div class="block">Get the start block for the property table</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/property/PropertyTable.html#preWrite--">preWrite</a></span>()</code>
                                    <div class="block">Prepare to be written</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/property/PropertyTable.html#removeProperty-org.apache.poi.poifs.property.Property-">removeProperty</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/property/Property.html"
                                        title="class in org.apache.poi.poifs.property">Property</a>&nbsp;property)</code>
                                    <div class="block">Remove a property from the list of properties we manage</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/property/PropertyTable.html#setStartBlock-int-">setStartBlock</a></span>(int&nbsp;index)</code>
                                    <div class="block">Set the start block for this instance</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/property/PropertyTable.html#write-org.apache.poi.poifs.filesystem.POIFSStream-">write</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSStream.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSStream</a>&nbsp;stream)</code>
                                    <div class="block">Writes the properties out into the given low-level stream</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="PropertyTable-org.apache.poi.poifs.storage.HeaderBlock-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PropertyTable</h4>
                                <pre>public&nbsp;PropertyTable(<a
                                        href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html"
                                        title="class in org.apache.poi.poifs.storage">HeaderBlock</a>&nbsp;headerBlock)</pre>
                            </li>
                        </ul>
                        <a name="PropertyTable-org.apache.poi.poifs.storage.HeaderBlock-org.apache.poi.poifs.filesystem.POIFSFileSystem-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>PropertyTable</h4>
                                <pre>public&nbsp;PropertyTable(<a
                                        href="../../../../../org/apache/poi/poifs/storage/HeaderBlock.html"
                                        title="class in org.apache.poi.poifs.storage">HeaderBlock</a>&nbsp;headerBlock,
                     <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;filesystem)
              throws java.io.IOException</pre>
                                <div class="block">reading constructor (used when we've read in a file and we want
                                    to extract the property table from it). Populates the
                                    properties thoroughly
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>headerBlock</code> - the header block of the file</dd>
                                    <dd><code>filesystem</code> - the filesystem to read from</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if anything goes wrong (which should be
                                        a result of the input being NFG)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="addProperty-org.apache.poi.poifs.property.Property-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addProperty</h4>
                                <pre>public&nbsp;void&nbsp;addProperty(<a
                                        href="../../../../../org/apache/poi/poifs/property/Property.html"
                                        title="class in org.apache.poi.poifs.property">Property</a>&nbsp;property)</pre>
                                <div class="block">Add a property to the list of properties we manage</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>property</code> - the new Property to manage</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="removeProperty-org.apache.poi.poifs.property.Property-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeProperty</h4>
                                <pre>public&nbsp;void&nbsp;removeProperty(<a
                                        href="../../../../../org/apache/poi/poifs/property/Property.html"
                                        title="class in org.apache.poi.poifs.property">Property</a>&nbsp;property)</pre>
                                <div class="block">Remove a property from the list of properties we manage</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>property</code> - the Property to be removed</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRoot--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRoot</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/property/RootProperty.html"
                                        title="class in org.apache.poi.poifs.property">RootProperty</a>&nbsp;getRoot()</pre>
                                <div class="block">Get the root property</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the root property</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getStartBlock--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getStartBlock</h4>
                                <pre>public&nbsp;int&nbsp;getStartBlock()</pre>
                                <div class="block">Get the start block for the property table</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>start block index</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setStartBlock-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setStartBlock</h4>
                                <pre>public&nbsp;void&nbsp;setStartBlock(int&nbsp;index)</pre>
                                <div class="block">Set the start block for this instance</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/BATManaged.html#setStartBlock-int-">setStartBlock</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/BATManaged.html"
                                                title="interface in org.apache.poi.poifs.filesystem">BATManaged</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - index into the array of BigBlock instances making
                                        up the the filesystem
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="countBlocks--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>countBlocks</h4>
                                <pre>public&nbsp;int&nbsp;countBlocks()</pre>
                                <div class="block">Return the number of BigBlock's this instance uses</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/BATManaged.html#countBlocks--">countBlocks</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/BATManaged.html"
                                                title="interface in org.apache.poi.poifs.filesystem">BATManaged</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>count of BigBlock instances</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="preWrite--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>preWrite</h4>
                                <pre>public&nbsp;void&nbsp;preWrite()</pre>
                                <div class="block">Prepare to be written</div>
                            </li>
                        </ul>
                        <a name="write-org.apache.poi.poifs.filesystem.POIFSStream-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>write</h4>
                                <pre>public&nbsp;void&nbsp;write(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSStream.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSStream</a>&nbsp;stream)
           throws java.io.IOException</pre>
                                <div class="block">Writes the properties out into the given low-level stream</div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PropertyTable.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/property/PropertyConstants.html"
               title="interface in org.apache.poi.poifs.property"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/poifs/property/RootProperty.html"
               title="class in org.apache.poi.poifs.property"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/property/PropertyTable.html"
               target="_top">Frames</a></li>
        <li><a href="PropertyTable.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
